package com.lululombard.kingnether;

import org.bukkit.ChatColor;
import org.bukkit.Server;
import org.bukkit.World;
import org.bukkit.entity.Player;

class CheckPos implements Runnable {
	private Server server;
	private String roofTeleport;
	
	public void init(Server serverForWorlds, String roofTeleportMsg) {
		this.server = serverForWorlds;
		roofTeleport = roofTeleportMsg;
	}
	
	public void run() {
		for (World w : this.server.getWorlds()) {
			if (w.getEnvironment().equals(World.Environment.NETHER)) {
				for (Player p : w.getPlayers()) if (p.getLocation().getBlockY() >= 126)	{
					p.teleport(w.getSpawnLocation());
					p.sendMessage(ChatColor.translateAlternateColorCodes('&', roofTeleport));
				}
			}
		}
	}
}
